{% extends "base.html" %}

{% load i18n volunteers_tags seawatch_registration_tags %}

{% block content %}
    <h2>
        Request Availabilities
    </h2>
    <p>
    {{ volunteer.name }} will receive an email with a link to update their
    availability for the following missions:
    </p>

    <table class="table">
        <thead>
            <tr>
                <th>Mission</th>
                <th>Date</th>
                <th>Previous answer</th>
            </tr>
        </thead>
        <tbody>
            {% for entry in entries %}
            <tr>
                <td>{{ entry.mission.name }}</td>
                <td>{{ entry.mission.start_date|date:"DATE_FORMAT" }} - {{ entry.mission.end_date|date:"DATE_FORMAT" }}</td>
                <td>
                {% if entry.last_response %}
                    {{ entry.last_response.availability.get_availability_display|title }}{% if entry.last_response.outdated %} (outdated){% endif %}
                {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>

    The email will be send to {{ volunteer.email }} <br/>

    <div style="display:flex; margin-top: 5pt; align-items: start; gap: 10px;">
        <form action="{% url "volunteer_request_availabilities" volunteer_id=volunteer.pk %}" method="POST">
            {% csrf_token %}
            <input name="confirm" class="btn button btn-primary button-primary" type="submit" value="Send inquiry">
        </form>
        <a class="button btn" href="{% url "volunteer_list" %}">Cancel</a>
    </div>
{% endblock %}
